Subject: Re: [bug#63641] [PATCH v2 5/8] gnu: Add libc-for-target and glibc/hurd.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Thu, 08 Jun 2023 10:17:29 +0200

Janneke Nieuwenhuizen writes:

Hi!

> Josselin Poiret via Guix-patches via writes:
>
> Hello again!
>
>> From: Josselin Poiret <[email-masked]>
>>
> [..]
>
>> * gnu/packages/commencement.scm (glibc-final-with-bootstrap-bash,
>> glibc-final): Use libc-for-target.
>
> As discussed on IRC, I found that we're still building glibc-2.35 during
> commencement.  I overlooked that this recent patch of yours made these
> changes in commencement, so I already made patches for this (attached).

Even with these patches (on wip-hurd now), gcc-toolchain still depends
on glibc-2.35 for offload builds, as you can see when doing

    ./pre-inst-env guix build --system=i568-gnu -d gcc-toolchain

from GNU/Linux.  When running this same build in a childhurd, the
glibc-2.35 dependency is gone.  Note that gcc-final, i.e.

    ./pre-inst-env guix build --system=i568-gnu -d \
       -e '(@@ (gnu packages commencement) gcc-final)'

does not depend ond glibc-2.35, but both glibc-final and
glibc-final-with-bootstrap-bash build 2.35 when using --system.

I've tried some things and don't know how to fix this.

Greetings,
Janneke

PS: I have patches for glibc-locales/hurd and glibc-utf8-locales/hurd
that seem to work OK, but I'm not sure if we even want/need those?

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com